com.dlsc.flexgantt.model.eventline

## Class DefaultEventlineSelectionModel

- java.lang.Object
- - com.dlsc.flexgantt.model.eventline.DefaultEventlineSelectionModel

- All Implemented Interfaces:
    IEventlineSelectionModel

      public class DefaultEventlineSelectionModel
      extends Object
      implements IEventlineSelectionModel

  A selection model used by the `Eventline`. Eventline objects can be added to and removed from the selection causing selection events to be sent to the model listeners.
  Since:
    1.0
  Version:
    $Revision: 1.7 $
  Author:
    Dirk Lemmermann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.dlsc.flexgantt.model.eventline.IEventlineSelectionModel

      `IEventlineSelectionModel.Mode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventlineSelectionModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventlineSelectionListener(IEventlineSelectionListener l)` Adds a selection listener to the model.
    `void` | `addSelection(Object eventlineObject)` Adds an object to the selection.
    `void` | `clearSelection()` Clear the current selection.
    `protected void` | `fireSelectionModelEvent(EventlineSelectionModelEvent evt)` Sends the given selection model event to the attached listeners.
    `Object[]` | `getSelection()` Returns all currently selected eventline objects.
    `IEventlineSelectionModel.Mode` | `getSelectionMode()` Returns the selection mode.
    `boolean` | `isSelected(Object eventlineObject)` Checks whether the given eventline object is currently selected.
    `void` | `removeEventlineSelectionListener(IEventlineSelectionListener l)` Removes a selection listener from the model.
    `void` | `removeSelection(Object eventlineObject)` Removes an object from the selection.
    `void` | `setSelectionMode(IEventlineSelectionModel.Mode mode)` Sets the selection mode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventlineSelectionModel

          public DefaultEventlineSelectionModel()

  - ### Method Detail

    - #### addSelection

          public void addSelection(Object eventlineObject)

      Description copied from interface: `IEventlineSelectionModel`
      Adds an object to the selection.
      Specified by:
        `addSelection` in interface `IEventlineSelectionModel`
      Parameters:
        `eventlineObject` - the eventline object that gets added to the current selection

    - #### removeSelection

          public void removeSelection(Object eventlineObject)

      Description copied from interface: `IEventlineSelectionModel`
      Removes an object from the selection.
      Specified by:
        `removeSelection` in interface `IEventlineSelectionModel`
      Parameters:
        `eventlineObject` - the eventline object that gets removed from the current selection

    - #### getSelection

          public Object[] getSelection()

      Description copied from interface: `IEventlineSelectionModel`
      Returns all currently selected eventline objects.
      Specified by:
        `getSelection` in interface `IEventlineSelectionModel`
      Returns:
        all selected eventline objects

    - #### clearSelection

          public void clearSelection()

      Description copied from interface: `IEventlineSelectionModel`
      Clear the current selection.
      Specified by:
        `clearSelection` in interface `IEventlineSelectionModel`

    - #### isSelected

          public boolean isSelected(Object eventlineObject)

      Description copied from interface: `IEventlineSelectionModel`
      Checks whether the given eventline object is currently selected.
      Specified by:
        `isSelected` in interface `IEventlineSelectionModel`
      Parameters:
        `eventlineObject` - the eventline object to check
      Returns:
        TRUE if the given eventline object is currently selected

    - #### setSelectionMode

          public void setSelectionMode(IEventlineSelectionModel.Mode mode)

      Description copied from interface: `IEventlineSelectionModel`
      Sets the selection mode.
      Specified by:
        `setSelectionMode` in interface `IEventlineSelectionModel`
      Parameters:
        `mode` - the selection mode

    - #### getSelectionMode

          public IEventlineSelectionModel.Mode getSelectionMode()

      Description copied from interface: `IEventlineSelectionModel`
      Returns the selection mode.
      Specified by:
        `getSelectionMode` in interface `IEventlineSelectionModel`
      Returns:
        the selection mode

    - #### addEventlineSelectionListener

          public void addEventlineSelectionListener(IEventlineSelectionListener l)

      Description copied from interface: `IEventlineSelectionModel`
      Adds a selection listener to the model.
      Specified by:
        `addEventlineSelectionListener` in interface `IEventlineSelectionModel`
      Parameters:
        `l` - the listener to add
      See Also:
        `IEventlineSelectionModel.removeEventlineSelectionListener(IEventlineSelectionListener)`

    - #### removeEventlineSelectionListener

          public void removeEventlineSelectionListener(IEventlineSelectionListener l)

      Description copied from interface: `IEventlineSelectionModel`
      Removes a selection listener from the model.
      Specified by:
        `removeEventlineSelectionListener` in interface `IEventlineSelectionModel`
      Parameters:
        `l` - the listener to remove
      See Also:
        `IEventlineSelectionModel.addEventlineSelectionListener(IEventlineSelectionListener)`

    - #### fireSelectionModelEvent

          protected void fireSelectionModelEvent(EventlineSelectionModelEvent evt)

      Sends the given selection model event to the attached listeners.
      Parameters:
        `evt` - the selection event
      Since:
        1.0
      See Also:
        `addEventlineSelectionListener(IEventlineSelectionListener)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.